package com.microservices.pms.enterprise.domain.vo;

import com.microservices.common.core.utils.bean.BeanUtils;
import com.microservices.pms.enterprise.domain.PmsEnterprise;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 项目管理企业对象 pms_enterprise
 *
 * @author otto
 * @date 2023-10-10
 */
@Data
@ApiModel("企业查询对象")
public class PmsEnterpriseSearchVo {
    /**
     * 企业名
     */
    @ApiModelProperty(value = "企业名")
    private String enterpriseName;

    public PmsEnterprise toPmsEnterprise() {
        PmsEnterprise target = new PmsEnterprise();
        BeanUtils.copyProperties(this, target);
        return target;
    }
}
